.view-drupalcon-sessions.view-display-id-block_1 {
  
  // Nav.
  .view-nav {
    display: flex;
    flex-direction: column;
    .h-wrapper {
      @include max-width;
    }
    .nav-content {
      display: none;
      &.h-open {
        display: block;
      }
    }
    .view-nav-bar {
      .h-wrapper {
        display: flex;
        justify-content: space-between;
        border-bottom: 1px solid $color-grey-light;
      }
    }
    // Buttons.
    .nav-button {
      align-items: center;
      background-color: $color-grey-xxlight;
      border-radius: 0;
      border: 0;
      color: $color-blue;
      display: flex;
      height: 3.5rem;
      font-family: $font-secondary;
      font-size: $font-medium;
      font-weight: 700;
      padding: 0 1.5rem;
      text-align: left;
      transition: none;
      @include breakpoint($size-normal) {
        font-size: $font-discrete;
        width: 100%;
      }
      .button-icon {
        margin-left: .5rem;
      }
      &[aria-expanded="true"] .button-icon {
        display: inline-block;
        position: relative;
        transform: rotate(180deg);
      }
      &.button-days {
        @include breakpoint($size-normal) {
          display: none;
        }
        .day-name {
          display: block;
          font-weight: 400;
          font-family: $font-primary;
          font-size: $font-small;
        }
      }
      &.button-filters {
        .filters-num {
          font-size: $font-small;
        }
      }
    }
    // Days.
    .nav-days {
      @include breakpoint($size-normal) {
        display: block!important;
        order: -1;
      }
      .view-content {
        display: block;
        max-width: 100%;
        width: 100%;
      }
      .views-summary {
        background-color: $color-grey-xxlight;
        margin: 0;
        padding: 0;
        text-align: left;
        @include breakpoint($size-medium) {
          display: flex;
        }
        @include breakpoint($size-normal) {
          background-color: transparent;
          border-bottom: 2px solid $color-grey-xlight;
          justify-content: center;
          margin-bottom: 1rem;
        }
        li {
          list-style: none;
          margin: 0 .25rem;
          padding: 0!important;
          @include breakpoint($size-medium) {
            flex-grow: 1;
          }
          @include breakpoint($size-normal) {
            flex-grow: 0;
          }
          &::before {
            display: none!important;
          }
          a {
            color: $color-grey-xdark;
            display: block;
            font-size: $font-small;
            font-weight: 400;
            padding: 1rem;
            line-height: 1.3;
            position: relative;
            @include breakpoint($size-medium) {
              padding: 1rem 1.5rem;
            }
            @include breakpoint($size-normal) {
              padding: 1rem 2.5rem;
            }
            &:hover {
              text-decoration: none;
            }
            .day-count {
              color: $color-blue;
              font-size: 1rem;
              display: block;
              font-family: $font-secondary;
              font-weight: 700;
            }
            &.is-active {
              .day-count {
                color: $color-red;
                @include breakpoint($size-normal) {
                  color: $color-blue;
                }
              }
              &::after {
                background-color: $color-red;
                bottom: .5rem;
                content: '';
                display: block;
                left: 0;
                position: absolute;
                top: .5rem;
                width: 3px;
                @include breakpoint($size-medium) {
                  left: .75rem;
                }
                @include breakpoint($size-normal) {
                  bottom: 0;
                  height: 3px;
                  top: auto;
                  width: 100%;
                }
              }
            }
          }
        }
      }
    }
    // Filters.
    .nav-filters {
      margin-top: .25rem;
      .h-wrapper {
        background-color: $color-grey-xxlight;
        padding: 1.5rem;
        @include breakpoint($size-normal) {
          border-bottom: 1px solid $color-grey-light;
        }
      }
      fieldset .fieldset-legend,
      label:not(.option) {
        color: $color-blue;
        display: block;
        font-weight: 600;
        margin-bottom: .5rem;
        padding: 0;
        text-transform: none;
      }
      form {
        margin: 0;
      }
      fieldset {
        border: 0;
        padding: 0;
      }
      .fieldset-wrapper {
        padding: 0;
      }
      
      .form-checkboxes {
        display: flex;
        flex-wrap: wrap;
        margin: 0 -.25rem;
        width: 100%;
        .form-item {
          width: 50%;
          @include breakpoint($size-small) {
            width: 33.3%;
          }
          @include breakpoint($size-medium) {
            width: 25%;
          }
          @include breakpoint($size-normal) {
            width: 20%;
          }
        }
        label {
          border: 2px solid transparent;
          border-radius: 3px;
          margin: .25rem;
          position: relative;
          padding: .3rem;
        }
        label::after,
        label::before {
          display: none;
        }
        input:checked + label {
          border-color: $color-blue;
          h3 {
            color: $color-blue;
            font-weight: 600;
          }
        }
        &.h-filtered {
          input:not(:checked) + label {
            filter: grayscale(1);
            .taxonomy-term {
              transform: scale(.95);
            }
          }
        }
      }
      
      .taxonomy-term {
        align-items: center;
        display: flex;
        flex-direction: column;
        transition: transform .25s ease-in-out;
        @include breakpoint($size-medium) {
          flex-direction: row;
        }
        .field--name-field-icon {
          flex-shrink: 0;
          margin-right: .5rem;
          width: 3rem;
        }
        h3 {
          color: $color-blue;
          font-weight: 500;
          font-size: $font-xsmall;
          margin: 0;
        }
      }
      
      .form-type-textfield {
        margin-top: 2rem;
        display: flex;
        flex-direction: column;
        input {
          order: 2;
        }
        .description {
          color: $color-grey-dark;
          margin-top: 0;
          margin-bottom: .5rem;
          font-style: normal;
        }
      }
      .form-actions {
        margin: 0;
        text-align: center;
        input[type="submit"] {
          @include button(secondary);
          margin-top: 1.5rem;
        }
      }
    }
    // Pinned.
    &.h-pinned {
      border-bottom: 2px solid $color-grey-light;
      z-index: 2;
      height: auto!important;
      max-height: 100%!important;
      bottom: 0;
      pointer-events: none;
      width: 100%!important;
      .view-nav-bar {
        background-color: $color-blue;
        pointer-events: auto;
        @include breakpoint($size-hamburger-menu) {
          background-color: $color-blue-dark;
        }
        .h-wrapper {
          border: 0;
        }
        .nav-button {
          background: transparent;
          border: 0;
          color: $color-white;
          font-size: $font-normal;
          padding: .25rem;
          width: auto;
          &.button-days {
            display: flex;
          }
        }
      }
      .nav-content {
        background-color: $color-grey-xxlight;
        border-bottom: 2px solid $color-grey-light;
        max-height: 100%;
        margin-top: 0;
        overflow: scroll;
        pointer-events: auto;
        .h-wrapper {
          border: 0;
        }
      }
      .nav-days {
        display: none!important;
        order: 0;
        &.h-open {
          display: block!important;
        }
        .views-summary {
          border: 0;
          margin: 0;
        }
      }
    }
  }
  
  // Header.
  .view-header {
    margin: 1rem 0;
    text-align: center;
  }
  
  // Schedule.
  > .view-content {
    background-color: $color-grey-xxlight;
    margin-top: 1rem;
    padding: 1.5rem;
    position: relative;
    &::before {
      background-color: $color-grey;
      bottom: 3rem;
      content: '';
      display: block;
      left: 3rem;
      position: absolute;
      top: 3rem;
      width: 1px;
      @include breakpoint($size-medium) {
        left: 15%;
        margin-top: 10px;
      }
    }
    .view-grouping-header {
      text-align: center;
      color: $color-grey-xdark;
      font-family: $font-secondary;
      font-size: $font-discrete;
      font-weight: 700;
    }
    .view-grouping {
      width: 100%;
    }
    .group-title a { // next slot
      background-color: darken($color-grey-xxlight, 5%);
      border: 0;
      color: $color-grey-xlight;
      display: none;
      padding: .25rem 1.15rem .25rem .5rem;
      position: relative;
      transition: opacity .15s ease-in-out;
      @include breakpoint($size-medium) {
        margin: .5rem 1rem 0;
      }
      &::after {
        content: '»';
        transform: rotate(90deg) translateX(-100%);
        display: inline-block;
        font-size: 1rem;
        position: absolute;
        top: 50%;
        margin-top: -.15rem;
        right: .25rem;
      }
    }
    .group-title {
      background-color: $color-grey-xxlight;
      border-bottom: 2px solid $color-grey-light;
      padding: .75rem 1rem;
      position: relative;
      z-index: 1;
      @include breakpoint($size-medium) {
        background: transparent;
        border: 0;
        left: 0;
        margin: 0;
        position: absolute;
        text-align: right;
        width: 15%;
      }
      h3 {
        color: $color-grey-xdark;
        font-size: $font-small;
        font-weight: 600;
        line-height: 1.2;
        margin: 0;
        position: relative;
        @include breakpoint($size-medium) {
          color: $color-grey-dark;
          font-weight: 400;
          padding: .5rem 1rem .5rem 2rem;
          &::before {
            background-color: $color-red;
            border-radius: 50%;
            content: '';
            display: block;
            height: 8px;
            width: 8px;
            top: .3rem;
            right: -1.25rem;
            position: absolute;
          }
        }
      }
    }
    .group-content {
      @include breakpoint($size-medium) {
        margin-left: 15%;
        margin-right: 1rem;
      }
    }
    
    .views-row {
      background-color: $color-white;
      box-shadow: 0 0 5px rgba(0,0,0,.15);
      display: flex;
      font-size: $font-small;
      flex-direction: column;
      line-height: 1.6;
      margin: 1rem 0;
      padding: .75rem 1rem 0;
      position: relative;
      transition: opacity .25s ease-in-out;
      .field__label {
        font-weight: 600;
      }
      .field--name-node-title {
        h4 {
          font-size: $font-normal;
        }
        a {
          color: $color-blue;
          font-weight: 400;
          &:hover {
            color: $color-blue;
          }
        }
      }
      .field--name-body {
        font-size: $font-xsmall;
        overflow-wrap: break-word;
        word-wrap: break-word;
        strong {
          font-weight: normal;
        }
      }
      .views-field-name {
        align-items: center;
        color: $color-blue;
        display: flex;
        font-size: $font-xsmall;
        &::before {
          // @include sprite--pin;
          content: '';
          display: block;
          margin-left: -.25rem;
          margin-right: .25rem;
        }
      }
      .field--name-field-track,
      .field--name-field-tags {
        .taxonomy-term {
          align-items: center;
          display: flex;
          flex-direction: row-reverse;
          .field--name-taxonomy-term-title {
            color: $color-grey-dark;
            font-size: $font-xxsmall;
            font-weight: 600;
            text-transform: uppercase;
          }
          .field--name-field-icon {
            margin-left: .5rem;
            width: 1.75rem;
          }
        }
      }
      .field--name-field-speakers {
        background-color: $color-grey-xlight;
        font-size: $font-small;
        font-weight: 500;
        margin: .75rem -1rem 0;
        order: 1;
        padding: .25rem 1rem;
        p {
          margin: 0;
        }
      }
    }
  }
  
}
